#!/bin/sh

# All Rights Reserved * Licensed Materials - Property of IBM
# 5724-I63, 5724-H88, 5655-N01, 5733-W60 (C) COPYRIGHT International Business Machines Corp., 1997,2005
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Collect Node Metadata Tool

echo $0 entry
echo WAS_USER_SCRIPT: $WAS_USER_SCRIPT
echo PARAM 1: $1
echo PARAM 2: $2

# Set up env
. $WAS_USER_SCRIPT

# Java class to launch...
JAVA_CLASS=com.ibm.ws.management.metadata.CollectManagedObjectMetadata

# For debugging the launcher itself
unset JAVA_DEBUG
# JAVA_DEBUG="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777"


# Setup the initial java invocation;

DELIM=" "

#Common args...
D_ARGS="-Dws.ext.dirs="$WAS_EXT_DIRS" $DELIM \
 	-Dlocal.cell="$WAS_CELL" $DELIM \
	-Dlocal.node=$WAS_NODE $DELIM \
	-Dwas.install.root="$WAS_HOME" $DELIM \
	-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager $DELIM \
	-Dwas.repository.root="$CONFIG_ROOT" $DELIM \
	-Djava.util.logging.configureByServer=true"
X_ARGS=-Xbootclasspath/p:"$WAS_BOOTCLASSPATH"

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
    LIBPATH="$WAS_LIBPATH":$LIBPATH
    export LIBPATH ;;
  Linux)
    LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  SunOS)
    LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  HP-UX)
    SHLIB_PATH="$WAS_LIBPATH":$SHLIB_PATH
    export SHLIB_PATH ;;
  OS/390)
      D_ARGS=""$D_ARGS" $DELIM -Dfile.encoding=ISO8859-1 $DELIM -Djava.ext.dirs="$JAVA_EXT_DIRS""
      X_ARGS=""$X_ARGS" $DELIM -Xnoargsconversion" ;;
esac

"$JAVA_HOME"/bin/java \
  $X_ARGS \
  $JAVA_DEBUG \
  $D_ARGS \
  -classpath "$WAS_CLASSPATH" \
  com.ibm.ws.bootstrap.WSLauncher \
  $JAVA_CLASS "$CONFIG_ROOT"
